Subject: Re: [PATCH 1/2] Documentation/git-merge.txt: fix reference to synopsis

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Dec 2023 12:56:22 -0800

Michael Lohmann <[email-masked]> writes:

> Also the previous version did not acknowledge that `--no-merge` would
> result in the precondition being fulfilled (thanks to Elijah Newren and
> Junio C Hamano for pointing that out).

This does not belong to the log message.  Please write for those who
only read "git log" output after the work is merged and nothing
else.  To them, errors in the previous attempt that was pointed out
by reviewers and corrected in this version do not exist.

It is perfectly fine to write something like the above after the
three-dash line.  That is the place to clue reviewers about the
context of this round, reminding what happend in the previous
iteration and what the differences this round has, etc.

Thanks.